PipeWire 1.2.6

Loading...
Searching...
No Matches
Files | Functions
JSON to POD
SPA » Utilities

JSON to POD conversion More...

## Files
file | json-pod.h
| `spa/utils/json-pod.h`

## Functions
static int | spa_json_to_pod_part (struct spa_pod_builder *b, uint32_t flags, uint32_t id, const struct spa_type_info *info, struct spa_json *iter, const char *value, int len)
static int | spa_json_to_pod (struct spa_pod_builder *b, uint32_t flags, const struct spa_type_info *info, const char *value, int len)

## Detailed Description

JSON to POD conversion

## Function Documentation

## ◆ spa_json_to_pod_part()

static int spa_json_to_pod_part | ( | struct spa_pod_builder * | b,
|  | uint32_t | flags,
|  | uint32_t | id,
|  | const struct spa_type_info * | info,
|  | struct spa_json * | iter,
|  | const char * | value,
|  | int | len )
| inline static

## ◆ spa_json_to_pod()

static int spa_json_to_pod | ( | struct spa_pod_builder * | b,
|  | uint32_t | flags,
|  | const struct spa_type_info * | info,
|  | const char * | value,
|  | int | len )
| inline static